> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/devices/{deviceId}/arp > Get ARP monitoring table for a device ## OpenAPI ````json GET /v1/devices/{deviceId}/arp { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/devices/{deviceId}/arp": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "deviceId", "in": "path", "required": true, "description": "", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DevicesDeviceIdArpGetResponse" } } } } }, "description": "Get ARP monitoring table for a device" } } }, "components": { "schemas": { "v1DevicesDeviceIdArpGetResponse": { "type": "object", "properties": { "arpEntry": { "type": "array", "items": { "$ref": "#/components/schemas/routingArpEntry" } } }, "additionalProperties": false }, "routingArpEntry": { "type": "object", "properties": { "interfaceName": { "type": "string", "example": "example string" }, "ipv4Address": { "type": "string", "example": "example string" }, "macAddress": { "type": "string", "example": "example string" }, "name": { "type": "string", "example": "example string", "description": "Circuit or VRF name" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````